I'd like to run a Twisted client in Zope 2.10 (for a legacy app).

How do I do that? Simply loading twisted.internet is probably not a good idea 
since Twisted would not work well with ZServer threads, right?

One thing I tried was enabling Twisted in zope.conf but that gives me the 
following stacktrace (abbr):

  File "/usr/local/zope/2.10/src/Zope-2.10.7-
final/lib/python/ZConfig/matcher.py", line 188, in constuct         
    s = st.datatype(s)                                                          
  File "/usr/local/zope/2.10/src/Zope-2.10.7-
final/lib/python/Zope2/Startup/datatypes.py", line 349, in __init__ 
    raise ImportError("You do not have twisted installed.")                     
ImportError: You do not have twisted installed.                                 

I've got Twisted on my Pythonpath though.


Attachment: signature.asc
Description: This is a digitally signed message part.

Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to